<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@author       pedro.garcia
@description  página donde se muestran los datos de los profesionales de avalúos que se pueden escoger
              para hacer una asignación
@cu           CU-SA-AC-003


@param  idsChainToUpdateOnAssignParam  cadena de ids que se actualizan cuando se hace la asignación
@param  thisWidgetVarNameParam         valor que se le da al atributo widgetvar del dialogo donde se incluye esta página
-->

<h:panelGrid
    xmlns="http://www.w3.org/1999/xhtml"
    xmlns:p="http://primefaces.org/ui"
    xmlns:h="http://java.sun.com/jsf/html"
    xmlns:f="http://java.sun.com/jsf/core"
    width="100%"
    id="infoProfsAvaluosAsignacionPG">


    <h:form id="infoProfsAvaluosAsignacionForm" >

        <p:dataTable
            id="profesionalesAvaluosDT"
            value="#{asignacionProfesionalAvaluos.profesionalesAvaluosTerritorial}"
            var="profesional"
            widgetVar="profesionalesAvaluosDTWV"
            rowKey="#{profesional.profesionalAvaluosId}"
            paginator="true"
            rows="5"
            selection="#{asignacionProfesionalAvaluos.selectedProfesionalesAvaluos}"
            selectionMode="multiple"
            paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport}
            {NextPageLink} {LastPageLink}"
            rowsPerPageTemplate="5,10,15"
            paginatorPosition="bottom"
            emptyMessage="No se encontraron profesionales de avalúos">

            <f:facet name="header">
                Profesionales de avalúos
            </f:facet>

            <p:column headerText="Nombre">
                <h:outputText value="#{profesional.nombreCompleto}" />
            </p:column>

            <p:column headerText="Tipo contrato">
                <h:outputText value="#{profesional.tipoVinculacion}" />
            </p:column>

            <p:column headerText="No. total avalúos">
                <h:outputText value="#{profesional.avaluosEnproceso}" />
            </p:column>

            <p:column headerText="No. total controles calidad">
                <h:outputText value="#{profesional.avaluosEnccalidad}" />
            </p:column>

            <p:column headerText="Calificación promedio">
                <h:outputText value="#{profesional.calificacionPromedio}" />
            </p:column>

            <p:column headerText="Saldo por pagar">
                <h:outputText value="#{profesional.saldoPorPagar}" >
                    <f:converter converterId="converterMoneda" />
                </h:outputText>
            </p:column>

            <p:column headerText="Valor comprometido">
                <h:outputText value="#{profesional.valorComprometido}" />
            </p:column>

            <p:column headerText="¿Activo?">
                <h:outputText value="#{profesional.profesionalActivo}" />
            </p:column>

        </p:dataTable>


        <p:spacer height="30" width="0" />


        <p:outputPanel layout="block" style="text-align: left">
            <p:commandButton
                value="Carga de trabajo"
                icon="ui-icon-cart"
                onclick="
                        if (profesionalesAvaluosDTWV.selection.length == 0) {
                            alert('Debe seleccionar al menos un profesional de avalúos');
                            return false;
                        } else if (profesionalesAvaluosDTWV.selection.length > 1) {
                            alert('Debe seleccionar solo un profesional de avalúos para acceder a esta opción');
                            return false;
                        }
                        alert('falta integrar con CU 010');"/>
            <p:spacer width="10" height="0" />
            <p:commandButton
                id="asignarBtn"
                value="Asignar"
                icon="ui-icon-check"
                onclick="if (profesionalesAvaluosDTWV.selection.length == 0) {
                            alert('Debe seleccionar al menos un profesional de avalúos');
                            return false;
                        }"
                action="#{asignacionProfesionalAvaluos.asignarProfesionales}"
                oncomplete="#{thisWidgetVarNameParam}.hide();"
                update="#{idsChainToUpdateOnAssignParam}"
                />
        </p:outputPanel>


    </h:form>

</h:panelGrid>